#
# Ichido AI Bot Blocker.
#
if ($http_user_agent ~* "007ac9 Crawler") { return 403; }
if ($http_user_agent ~* "008") { return 403; }
if ($http_user_agent ~* "2ip.ru") { return 403; }
if ($http_user_agent ~* "360Spider-Image") { return 403; }
if ($http_user_agent ~* "360Spider-Video") { return 403; }
if ($http_user_agent ~* "5emeRue") { return 403; }
if ($http_user_agent ~* "5erue") { return 403; }
if ($http_user_agent ~* "A Patent Crawler") { return 403; }
if ($http_user_agent ~* "A6-Indexer") { return 403; }
if ($http_user_agent ~* "ADmantX") { return 403; }
if ($http_user_agent ~* "AISearchBot") { return 403; }
if ($http_user_agent ~* "Aboundex") { return 403; }
if ($http_user_agent ~* "AcademicBotRTU") { return 403; }
if ($http_user_agent ~* "Acunetix Security Scanner") { return 403; }
if ($http_user_agent ~* "Acunetix Web Vulnerability Scanner") { return 403; }
if ($http_user_agent ~* "AdIdxBot") { return 403; }
if ($http_user_agent ~* "AddSearchBot") { return 403; }
if ($http_user_agent ~* "AddThis") { return 403; }
if ($http_user_agent ~* "AdsBot-Google") { return 403; }
if ($http_user_agent ~* "AdsBot-Google-Mobile") { return 403; }
if ($http_user_agent ~* "AdsTxtCrawler") { return 403; }
if ($http_user_agent ~* "AdvBot") { return 403; }
if ($http_user_agent ~* "AhrefsBot") { return 403; }
if ($http_user_agent ~* "Alexabot") { return 403; }
if ($http_user_agent ~* "Alexibot") { return 403; }
if ($http_user_agent ~* "AlphaBot") { return 403; }
if ($http_user_agent ~* "Amazonbot") { return 403; }
if ($http_user_agent ~* "AmiSoftware") { return 403; }
if ($http_user_agent ~* "AndersPinkBot") { return 403; }
if ($http_user_agent ~* "AnyEvent") { return 403; }
if ($http_user_agent ~* "Apercite") { return 403; }
if ($http_user_agent ~* "AppInsights") { return 403; }
if ($http_user_agent ~* "Applebot") { return 403; }
if ($http_user_agent ~* "Applebot-Extended") { return 403; }
if ($http_user_agent ~* "Aqua_Products") { return 403; }
if ($http_user_agent ~* "ArchiveBot") { return 403; }
if ($http_user_agent ~* "Arquivo-web-crawler") { return 403; }
if ($http_user_agent ~* "Ask n read") { return 403; }
if ($http_user_agent ~* "AspiegelBot") { return 403; }
if ($http_user_agent ~* "Augure") { return 403; }
if ($http_user_agent ~* "AwarioBot") { return 403; }
if ($http_user_agent ~* "AwarioSmartBot") { return 403; }
if ($http_user_agent ~* "B2B Bot") { return 403; }
if ($http_user_agent ~* "BDCbot") { return 403; }
if ($http_user_agent ~* "BIGLOTRON") { return 403; }
if ($http_user_agent ~* "BLEXBot") { return 403; }
if ($http_user_agent ~* "BLP_bbot") { return 403; }
if ($http_user_agent ~* "BTWebClient") { return 403; }
if ($http_user_agent ~* "BUbiNG") { return 403; }
if ($http_user_agent ~* "BackDoorBot") { return 403; }
if ($http_user_agent ~* "BacklinkCrawler") { return 403; }
if ($http_user_agent ~* "Baidu-YunGuanCe") { return 403; }
if ($http_user_agent ~* "Baiduspider-image") { return 403; }
if ($http_user_agent ~* "Baiduspider-news") { return 403; }
if ($http_user_agent ~* "Baiduspider-video") { return 403; }
if ($http_user_agent ~* "Barkrowler") { return 403; }
if ($http_user_agent ~* "BehloolBot") { return 403; }
if ($http_user_agent ~* "Better Uptime Bot") { return 403; }
if ($http_user_agent ~* "Birdcrawlerbot") { return 403; }
if ($http_user_agent ~* "BitBot") { return 403; }
if ($http_user_agent ~* "BitSightBot") { return 403; }
if ($http_user_agent ~* "Black Hole") { return 403; }
if ($http_user_agent ~* "Blackboard") { return 403; }
if ($http_user_agent ~* "Blekkobot") { return 403; }
if ($http_user_agent ~* "BlowFish") { return 403; }
if ($http_user_agent ~* "BomboraBot") { return 403; }
if ($http_user_agent ~* "Bookmark search tool") { return 403; }
if ($http_user_agent ~* "Bot.AraTurka.com") { return 403; }
if ($http_user_agent ~* "BotALot") { return 403; }
if ($http_user_agent ~* "BotRightHere") { return 403; }
if ($http_user_agent ~* "BoxcarBot") { return 403; }
if ($http_user_agent ~* "BrandONbot") { return 403; }
if ($http_user_agent ~* "BrandVerity") { return 403; }
if ($http_user_agent ~* "BrightEdge Crawler") { return 403; }
if ($http_user_agent ~* "Buck") { return 403; }
if ($http_user_agent ~* "BuiltBotTough") { return 403; }
if ($http_user_agent ~* "Bullseye") { return 403; }
if ($http_user_agent ~* "BunnySlippers") { return 403; }
if ($http_user_agent ~* "Bytespider") { return 403; }
if ($http_user_agent ~* "CC Metadata Scaper") { return 403; }
if ($http_user_agent ~* "CISPA Webcrawler") { return 403; }
if ($http_user_agent ~* "Caliperbot") { return 403; }
if ($http_user_agent ~* "CapsuleChecker") { return 403; }
if ($http_user_agent ~* "Cegbfeieh") { return 403; }
if ($http_user_agent ~* "ChatGPT-User") { return 403; }
if ($http_user_agent ~* "CheckMarkNetwork") { return 403; }
if ($http_user_agent ~* "CheeseBot") { return 403; }
if ($http_user_agent ~* "CherryPicker") { return 403; }
if ($http_user_agent ~* "CherryPickerElite") { return 403; }
if ($http_user_agent ~* "CherryPickerSE") { return 403; }
if ($http_user_agent ~* "Cincraw") { return 403; }
if ($http_user_agent ~* "Cision") { return 403; }
if ($http_user_agent ~* "Citoid") { return 403; }
if ($http_user_agent ~* "Claritybot") { return 403; }
if ($http_user_agent ~* "Claude-Web") { return 403; }
if ($http_user_agent ~* "ClaudeBot") { return 403; }
if ($http_user_agent ~* "Clickagy") { return 403; }
if ($http_user_agent ~* "Cliqzbot") { return 403; }
if ($http_user_agent ~* "CloudFlare-AlwaysOnline") { return 403; }
if ($http_user_agent ~* "Cocolyzebot") { return 403; }
if ($http_user_agent ~* "Companybook-Crawler") { return 403; }
if ($http_user_agent ~* "ContextAd Bot") { return 403; }
if ($http_user_agent ~* "ConveraCrawler") { return 403; }
if ($http_user_agent ~* "Cookiebot") { return 403; }
if ($http_user_agent ~* "Copernic") { return 403; }
if ($http_user_agent ~* "CopyRightCheck") { return 403; }
if ($http_user_agent ~* "Corporama") { return 403; }
if ($http_user_agent ~* "CrawlyProjectCrawler") { return 403; }
if ($http_user_agent ~* "Crescent") { return 403; }
if ($http_user_agent ~* "Crescent Internet ToolPak HTTP OLE Control v.1.0") { return 403; }
if ($http_user_agent ~* "CriteoBot") { return 403; }
if ($http_user_agent ~* "CrunchBot") { return 403; }
if ($http_user_agent ~* "CrystalSemanticsBot") { return 403; }
if ($http_user_agent ~* "Curebot") { return 403; }
if ($http_user_agent ~* "Cutbot") { return 403; }
if ($http_user_agent ~* "CyberPatrol") { return 403; }
if ($http_user_agent ~* "DareBoost") { return 403; }
if ($http_user_agent ~* "DataForSeoBot") { return 403; }
if ($http_user_agent ~* "Datafeedwatch") { return 403; }
if ($http_user_agent ~* "Datanyze") { return 403; }
if ($http_user_agent ~* "Dataprovider.com") { return 403; }
if ($http_user_agent ~* "DeuSu") { return 403; }
if ($http_user_agent ~* "Diffbot") { return 403; }
if ($http_user_agent ~* "Digg Deeper") { return 403; }
if ($http_user_agent ~* "Digimind") { return 403; }
if ($http_user_agent ~* "Digincore bot") { return 403; }
if ($http_user_agent ~* "Disqus") { return 403; }
if ($http_user_agent ~* "DittoSpyder") { return 403; }
if ($http_user_agent ~* "DnyzBot") { return 403; }
if ($http_user_agent ~* "Domain Re-Animator Bot") { return 403; }
if ($http_user_agent ~* "DomainCrawler") { return 403; }
if ($http_user_agent ~* "DomainStatsBot") { return 403; }
if ($http_user_agent ~* "Dow Jones Searchbot") { return 403; }
if ($http_user_agent ~* "Download Ninja") { return 403; }
if ($http_user_agent ~* "Dragonbot") { return 403; }
if ($http_user_agent ~* "Dubbotbot") { return 403; }
if ($http_user_agent ~* "EZID") { return 403; }
if ($http_user_agent ~* "EasyBib AutoCite") { return 403; }
if ($http_user_agent ~* "EmailCollector") { return 403; }
if ($http_user_agent ~* "EmailSiphon") { return 403; }
if ($http_user_agent ~* "EmailWolf") { return 403; }
if ($http_user_agent ~* "EroCrawler") { return 403; }
if ($http_user_agent ~* "EtaoSpider") { return 403; }
if ($http_user_agent ~* "EveryoneSocialBot") { return 403; }
if ($http_user_agent ~* "Exabot") { return 403; }
if ($http_user_agent ~* "Experibot") { return 403; }
if ($http_user_agent ~* "ExtLinksBot") { return 403; }
if ($http_user_agent ~* "ExtractorPro") { return 403; }
if ($http_user_agent ~* "Eyeotabot") { return 403; }
if ($http_user_agent ~* "Ezooms") { return 403; }
if ($http_user_agent ~* "FAST Enterprise Crawler") { return 403; }
if ($http_user_agent ~* "FAST-WebCrawler") { return 403; }
if ($http_user_agent ~* "FacebookBot") { return 403; }
if ($http_user_agent ~* "Facebot") { return 403; }
if ($http_user_agent ~* "facebookexternalhit") { return 403; }
if ($http_user_agent ~* "FairAd Client") { return 403; }
if ($http_user_agent ~* "FediDB") { return 403; }
if ($http_user_agent ~* "FeedBurner") { return 403; }
if ($http_user_agent ~* "FemtosearchBot") { return 403; }
if ($http_user_agent ~* "Fever") { return 403; }
if ($http_user_agent ~* "FindITAnswersbot") { return 403; }
if ($http_user_agent ~* "Flaming AttackBot") { return 403; }
if ($http_user_agent ~* "Flamingo_SearchEngine") { return 403; }
if ($http_user_agent ~* "Foobot") { return 403; }
if ($http_user_agent ~* "FreeWebMonitoring SiteChecker") { return 403; }
if ($http_user_agent ~* "FreshpingBot") { return 403; }
if ($http_user_agent ~* "Fyrebot") { return 403; }
if ($http_user_agent ~* "G2 Web Services") { return 403; }
if ($http_user_agent ~* "GPTBot") { return 403; }
if ($http_user_agent ~* "Gaisbot") { return 403; }
if ($http_user_agent ~* "GarlikCrawler") { return 403; }
if ($http_user_agent ~* "Genieo") { return 403; }
if ($http_user_agent ~* "GenomeCrawlerd") { return 403; }
if ($http_user_agent ~* "GetRight") { return 403; }
if ($http_user_agent ~* "Gigablast") { return 403; }
if ($http_user_agent ~* "Gigabot") { return 403; }
if ($http_user_agent ~* "GingerCrawler") { return 403; }
if ($http_user_agent ~* "Gluten Free Crawler") { return 403; }
if ($http_user_agent ~* "GnowitNewsbot") { return 403; }
if ($http_user_agent ~* "Google-Adwords-Instant") { return 403; }
if ($http_user_agent ~* "Google-Certificates-Bridge") { return 403; }
if ($http_user_agent ~* "Google-PhysicalWeb") { return 403; }
if ($http_user_agent ~* "Google-Safety") { return 403; }
if ($http_user_agent ~* "Google-Site-Verification") { return 403; }
if ($http_user_agent ~* "Google-Structured-Data-Testing-Tool") { return 403; }
if ($http_user_agent ~* "Gowikibot") { return 403; }
if ($http_user_agent ~* "GrapeshotCrawler") { return 403; }
if ($http_user_agent ~* "Grobbot") { return 403; }
if ($http_user_agent ~* "GroupHigh") { return 403; }
if ($http_user_agent ~* "Gwene") { return 403; }
if ($http_user_agent ~* "HTTrack") { return 403; }
if ($http_user_agent ~* "HTTrack 3.0") { return 403; }
if ($http_user_agent ~* "Harvest") { return 403; }
if ($http_user_agent ~* "HawaiiBot") { return 403; }
if ($http_user_agent ~* "HubSpot") { return 403; }
if ($http_user_agent ~* "IAS crawler") { return 403; }
if ($http_user_agent ~* "ICBot") { return 403; }
if ($http_user_agent ~* "ICC-Crawler") { return 403; }
if ($http_user_agent ~* "INETDEX-BOT") { return 403; }
if ($http_user_agent ~* "IRLbot") { return 403; }
if ($http_user_agent ~* "ImagesiftBot") { return 403; }
if ($http_user_agent ~* "IndeedBot") { return 403; }
if ($http_user_agent ~* "InfoNaviRobot") { return 403; }
if ($http_user_agent ~* "InterfaxScanBot") { return 403; }
if ($http_user_agent ~* "IonCrawl") { return 403; }
if ($http_user_agent ~* "Iron33") { return 403; }
if ($http_user_agent ~* "IsraBot") { return 403; }
if ($http_user_agent ~* "James BOT") { return 403; }
if ($http_user_agent ~* "JamesBOT") { return 403; }
if ($http_user_agent ~* "Jamie's Spider") { return 403; }
if ($http_user_agent ~* "JenkersBot") { return 403; }
if ($http_user_agent ~* "JennyBot") { return 403; }
if ($http_user_agent ~* "Jetbot") { return 403; }
if ($http_user_agent ~* "Jetty") { return 403; }
if ($http_user_agent ~* "JikeSpider") { return 403; }
if ($http_user_agent ~* "JobboerseBot") { return 403; }
if ($http_user_agent ~* "Jooblebot") { return 403; }
if ($http_user_agent ~* "Jugendschutzprogramm-Crawler") { return 403; }
if ($http_user_agent ~* "K7MLWCBot") { return 403; }
if ($http_user_agent ~* "KStandBot") { return 403; }
if ($http_user_agent ~* "Kemvibot") { return 403; }
if ($http_user_agent ~* "Kenjin Spider") { return 403; }
if ($http_user_agent ~* "Keyword Density") { return 403; }
if ($http_user_agent ~* "Knowings") { return 403; }
if ($http_user_agent ~* "KomodiaBot") { return 403; }
if ($http_user_agent ~* "KosmioBot") { return 403; }
if ($http_user_agent ~* "LNSpiderguy") { return 403; }
if ($http_user_agent ~* "Landau-Media-Spider") { return 403; }
if ($http_user_agent ~* "Laserlikebot") { return 403; }
if ($http_user_agent ~* "Leikibot") { return 403; }
if ($http_user_agent ~* "LexiBot") { return 403; }
if ($http_user_agent ~* "LightspeedSystemsCrawler") { return 403; }
if ($http_user_agent ~* "Linespider") { return 403; }
if ($http_user_agent ~* "Linguee Bot") { return 403; }
if ($http_user_agent ~* "LinkArchiver") { return 403; }
if ($http_user_agent ~* "LinkCheck by Siteimprove.com") { return 403; }
if ($http_user_agent ~* "LinkScan") { return 403; }
if ($http_user_agent ~* "LinkWalker") { return 403; }
if ($http_user_agent ~* "LinkextractorPro") { return 403; }
if ($http_user_agent ~* "LinkisBot") { return 403; }
if ($http_user_agent ~* "LinkpadBot") { return 403; }
if ($http_user_agent ~* "LivelapBot") { return 403; }
if ($http_user_agent ~* "Luminator-robots") { return 403; }
if ($http_user_agent ~* "MBCrawler") { return 403; }
if ($http_user_agent ~* "MIIxpc") { return 403; }
if ($http_user_agent ~* "MJ12bot") { return 403; }
if ($http_user_agent ~* "MS Search 4.0 Robot") { return 403; }
if ($http_user_agent ~* "MS Search 6.0 Robot") { return 403; }
if ($http_user_agent ~* "MSIECrawler") { return 403; }
if ($http_user_agent ~* "MTRobot") { return 403; }
if ($http_user_agent ~* "MaCoCu") { return 403; }
if ($http_user_agent ~* "Mata Hari") { return 403; }
if ($http_user_agent ~* "MauiBot") { return 403; }
if ($http_user_agent ~* "Mediapartners-Google") { return 403; }
if ($http_user_agent ~* "Mediatoolkitbot") { return 403; }
if ($http_user_agent ~* "MegaIndex") { return 403; }
if ($http_user_agent ~* "MegaIndex.ru") { return 403; }
if ($http_user_agent ~* "Meltawer") { return 403; }
if ($http_user_agent ~* "Meltwater") { return 403; }
if ($http_user_agent ~* "MeltwaterNews") { return 403; }
if ($http_user_agent ~* "Meta-ExternalAgent") { return 403; }
if ($http_user_agent ~* "Meta-ExternalFetcher") { return 403; }
if ($http_user_agent ~* "MetaInspector") { return 403; }
if ($http_user_agent ~* "MetaJobBot") { return 403; }
if ($http_user_agent ~* "MetaURI") { return 403; }
if ($http_user_agent ~* "Mister PiX") { return 403; }
if ($http_user_agent ~* "MixnodeCache") { return 403; }
if ($http_user_agent ~* "Mojeek") { return 403; }
if ($http_user_agent ~* "MoodleBot") { return 403; }
if ($http_user_agent ~* "Moreover") { return 403; }
if ($http_user_agent ~* "MuckRack") { return 403; }
if ($http_user_agent ~* "Multiviewbot") { return 403; }
if ($http_user_agent ~* "NICErsPRO") { return 403; }
if ($http_user_agent ~* "NINJA bot") { return 403; }
if ($http_user_agent ~* "NIXStatsbot") { return 403; }
if ($http_user_agent ~* "NLUX_IAHarvester") { return 403; }
if ($http_user_agent ~* "NPBot") { return 403; }
if ($http_user_agent ~* "NTENTbot") { return 403; }
if ($http_user_agent ~* "NaverBot") { return 403; }
if ($http_user_agent ~* "Neevabot") { return 403; }
if ($http_user_agent ~* "NerdByNature.Bot") { return 403; }
if ($http_user_agent ~* "NetAnts") { return 403; }
if ($http_user_agent ~* "NetMechanic") { return 403; }
if ($http_user_agent ~* "NetSystemsResearch") { return 403; }
if ($http_user_agent ~* "NetcraftSurveyAgent") { return 403; }
if ($http_user_agent ~* "Neticle Crawler") { return 403; }
if ($http_user_agent ~* "Netvibes") { return 403; }
if ($http_user_agent ~* "NewsNow") { return 403; }
if ($http_user_agent ~* "Newzbin") { return 403; }
if ($http_user_agent ~* "NextGenSearchBot") { return 403; }
if ($http_user_agent ~* "Nicecrawler") { return 403; }
if ($http_user_agent ~* "NimbleCrawler") { return 403; }
if ($http_user_agent ~* "Nimbostratus-Bot") { return 403; }
if ($http_user_agent ~* "Nmap Scripting Engine") { return 403; }
if ($http_user_agent ~* "Nutch") { return 403; }
if ($http_user_agent ~* "Nuzzel") { return 403; }
if ($http_user_agent ~* "OAI-SearchBot") { return 403; }
if ($http_user_agent ~* "OdklBot") { return 403; }
if ($http_user_agent ~* "Offline Explorer") { return 403; }
if ($http_user_agent ~* "OpenGraphCheck") { return 403; }
if ($http_user_agent ~* "OpenHoseBot") { return 403; }
if ($http_user_agent ~* "Openbot") { return 403; }
if ($http_user_agent ~* "Openfind") { return 403; }
if ($http_user_agent ~* "Openfind data gatherer") { return 403; }
if ($http_user_agent ~* "OpenindexSpider") { return 403; }
if ($http_user_agent ~* "Oracle Ultra Search") { return 403; }
if ($http_user_agent ~* "OrangeBot") { return 403; }
if ($http_user_agent ~* "Orthogaffe") { return 403; }
if ($http_user_agent ~* "OutclicksBot") { return 403; }
if ($http_user_agent ~* "PR-CY.RU") { return 403; }
if ($http_user_agent ~* "PagePeeker") { return 403; }
if ($http_user_agent ~* "PageThing") { return 403; }
if ($http_user_agent ~* "Pandalytics") { return 403; }
if ($http_user_agent ~* "PerMan") { return 403; }
if ($http_user_agent ~* "PerplexityBot") { return 403; }
if ($http_user_agent ~* "PetalBot") { return 403; }
if ($http_user_agent ~* "Pingdom") { return 403; }
if ($http_user_agent ~* "Pinterest") { return 403; }
if ($http_user_agent ~* "PiplBot") { return 403; }
if ($http_user_agent ~* "Primalbot") { return 403; }
if ($http_user_agent ~* "PrivacyAwareBot") { return 403; }
if ($http_user_agent ~* "ProPowerBot") { return 403; }
if ($http_user_agent ~* "ProWebWalker") { return 403; }
if ($http_user_agent ~* "Pulsepoint") { return 403; }
if ($http_user_agent ~* "QueryN Metasearch") { return 403; }
if ($http_user_agent ~* "Qwam content intelligence") { return 403; }
if ($http_user_agent ~* "Radiation Retriever 1.1") { return 403; }
if ($http_user_agent ~* "RankActiveLinkBot") { return 403; }
if ($http_user_agent ~* "RankFlex") { return 403; }
if ($http_user_agent ~* "Refindbot") { return 403; }
if ($http_user_agent ~* "RegionStuttgartBot") { return 403; }
if ($http_user_agent ~* "RepoMonkey") { return 403; }
if ($http_user_agent ~* "RepoMonkey Bait & Tackle") { return 403; }
if ($http_user_agent ~* "RetrevoPageAnalyzer") { return 403; }
if ($http_user_agent ~* "ReverseEngineeringBot") { return 403; }
if ($http_user_agent ~* "RidderBot") { return 403; }
if ($http_user_agent ~* "Riddler") { return 403; }
if ($http_user_agent ~* "Rivva") { return 403; }
if ($http_user_agent ~* "Robozilla") { return 403; }
if ($http_user_agent ~* "RukiCrawler") { return 403; }
if ($http_user_agent ~* "RuxitSynthetic") { return 403; }
if ($http_user_agent ~* "RyteBot") { return 403; }
if ($http_user_agent ~* "SBL-BOT") { return 403; }
if ($http_user_agent ~* "SEOkicks") { return 403; }
if ($http_user_agent ~* "SEOkicks-Robot") { return 403; }
if ($http_user_agent ~* "SEOlizer") { return 403; }
if ($http_user_agent ~* "SEOstats") { return 403; }
if ($http_user_agent ~* "SMTBot") { return 403; }
if ($http_user_agent ~* "SWIMGBot") { return 403; }
if ($http_user_agent ~* "SafeDNSBot") { return 403; }
if ($http_user_agent ~* "SafeSearch microdata crawler") { return 403; }
if ($http_user_agent ~* "ScoutJet") { return 403; }
if ($http_user_agent ~* "Scrapy") { return 403; }
if ($http_user_agent ~* "Screaming Frog SEO Spider") { return 403; }
if ($http_user_agent ~* "Scrubby") { return 403; }
if ($http_user_agent ~* "SearchAtlas") { return 403; }
if ($http_user_agent ~* "SearchmetricsBot") { return 403; }
if ($http_user_agent ~* "Seekport Crawler") { return 403; }
if ($http_user_agent ~* "SeekportBot") { return 403; }
if ($http_user_agent ~* "Seekr") { return 403; }
if ($http_user_agent ~* "SemrushBot") { return 403; }
if ($http_user_agent ~* "SemrushBot-BA") { return 403; }
if ($http_user_agent ~* "SemrushBot-BM") { return 403; }
if ($http_user_agent ~* "SemrushBot-CT") { return 403; }
if ($http_user_agent ~* "SemrushBot-SA") { return 403; }
if ($http_user_agent ~* "SemrushBot-SI") { return 403; }
if ($http_user_agent ~* "SemrushBot-SWA") { return 403; }
if ($http_user_agent ~* "SenutoBot") { return 403; }
if ($http_user_agent ~* "SeobilityBot") { return 403; }
if ($http_user_agent ~* "SimpleCrawler") { return 403; }
if ($http_user_agent ~* "SimpleScraper") { return 403; }
if ($http_user_agent ~* "Sindup") { return 403; }
if ($http_user_agent ~* "SiteBot") { return 403; }
if ($http_user_agent ~* "SiteCheckerBotCrawler") { return 403; }
if ($http_user_agent ~* "SiteSnagger") { return 403; }
if ($http_user_agent ~* "SiteSucker") { return 403; }
if ($http_user_agent ~* "Siteimprove") { return 403; }
if ($http_user_agent ~* "Siteimprove.com") { return 403; }
if ($http_user_agent ~* "Slack-ImgProxy") { return 403; }
if ($http_user_agent ~* "Slackbot") { return 403; }
if ($http_user_agent ~* "Slurp") { return 403; }
if ($http_user_agent ~* "SocialRankIOBot") { return 403; }
if ($http_user_agent ~* "Sogou") { return 403; }
if ($http_user_agent ~* "Sogou inst spider") { return 403; }
if ($http_user_agent ~* "Sogou spider2") { return 403; }
if ($http_user_agent ~* "Sonic") { return 403; }
if ($http_user_agent ~* "Sosospider") { return 403; }
if ($http_user_agent ~* "SpankBot") { return 403; }
if ($http_user_agent ~* "Spinn3r") { return 403; }
if ($http_user_agent ~* "SputnikBot") { return 403; }
if ($http_user_agent ~* "Storebot-Google") { return 403; }
if ($http_user_agent ~* "StorygizeBot") { return 403; }
if ($http_user_agent ~* "StractBot") { return 403; }
if ($http_user_agent ~* "Streamline3Bot") { return 403; }
if ($http_user_agent ~* "SummalyBot") { return 403; }
if ($http_user_agent ~* "SuperBot") { return 403; }
if ($http_user_agent ~* "SurveyBot") { return 403; }
if ($http_user_agent ~* "Swiftbot") { return 403; }
if ($http_user_agent ~* "Synthesio") { return 403; }
if ($http_user_agent ~* "Sysomos") { return 403; }
if ($http_user_agent ~* "Szukacz") { return 403; }
if ($http_user_agent ~* "Taboolabot") { return 403; }
if ($http_user_agent ~* "Talkwater") { return 403; }
if ($http_user_agent ~* "TangibleeBot") { return 403; }
if ($http_user_agent ~* "Teleport") { return 403; }
if ($http_user_agent ~* "TeleportPro") { return 403; }
if ($http_user_agent ~* "Telesoft") { return 403; }
if ($http_user_agent ~* "The Intraformant") { return 403; }
if ($http_user_agent ~* "TheNomad") { return 403; }
if ($http_user_agent ~* "Thinklab") { return 403; }
if ($http_user_agent ~* "Timpibot") { return 403; }
if ($http_user_agent ~* "Titan") { return 403; }
if ($http_user_agent ~* "TombaPublicWebCrawler") { return 403; }
if ($http_user_agent ~* "ToutiaoSpider") { return 403; }
if ($http_user_agent ~* "Traackr.com") { return 403; }
if ($http_user_agent ~* "TrendsmapResolver") { return 403; }
if ($http_user_agent ~* "True_Robot") { return 403; }
if ($http_user_agent ~* "TruliaBot") { return 403; }
if ($http_user_agent ~* "Turnitin") { return 403; }
if ($http_user_agent ~* "TurnitinBot") { return 403; }
if ($http_user_agent ~* "TweetmemeBot") { return 403; }
if ($http_user_agent ~* "Twingly") { return 403; }
if ($http_user_agent ~* "Twurly") { return 403; }
if ($http_user_agent ~* "URL Control") { return 403; }
if ($http_user_agent ~* "URL_Spider_Pro") { return 403; }
if ($http_user_agent ~* "URLy Warning") { return 403; }
if ($http_user_agent ~* "UT-Dorkbot") { return 403; }
if ($http_user_agent ~* "UbiCrawler") { return 403; }
if ($http_user_agent ~* "Updownerbot") { return 403; }
if ($http_user_agent ~* "Upflow") { return 403; }
if ($http_user_agent ~* "Uptime-Kuma") { return 403; }
if ($http_user_agent ~* "UptimeRobot") { return 403; }
if ($http_user_agent ~* "Uptimebot.org") { return 403; }
if ($http_user_agent ~* "UsineNouvelleCrawler") { return 403; }
if ($http_user_agent ~* "VCI") { return 403; }
if ($http_user_agent ~* "VCI WebViewer VCI WebViewer Win32") { return 403; }
if ($http_user_agent ~* "VKRobot") { return 403; }
if ($http_user_agent ~* "Validator.nu") { return 403; }
if ($http_user_agent ~* "VelenPublicWebCrawler") { return 403; }
if ($http_user_agent ~* "Veoozbot") { return 403; }
if ($http_user_agent ~* "Vigil") { return 403; }
if ($http_user_agent ~* "VoluumDSP-content-bot") { return 403; }
if ($http_user_agent ~* "W3C-checklink") { return 403; }
if ($http_user_agent ~* "W3C-mobileOK") { return 403; }
if ($http_user_agent ~* "W3C_I18n-Checker") { return 403; }
if ($http_user_agent ~* "W3C_Unicorn") { return 403; }
if ($http_user_agent ~* "WASALive-Bot") { return 403; }
if ($http_user_agent ~* "WWW-Collector-E") { return 403; }
if ($http_user_agent ~* "WWW-Mechanize") { return 403; }
if ($http_user_agent ~* "Web Image Collector") { return 403; }
if ($http_user_agent ~* "WebAuto") { return 403; }
if ($http_user_agent ~* "WebBandit") { return 403; }
if ($http_user_agent ~* "WebCapture 2.0") { return 403; }
if ($http_user_agent ~* "WebCopier") { return 403; }
if ($http_user_agent ~* "WebCopier v.2.2") { return 403; }
if ($http_user_agent ~* "WebCopier v3.2a") { return 403; }
if ($http_user_agent ~* "WebDataStats") { return 403; }
if ($http_user_agent ~* "WebEnhancer") { return 403; }
if ($http_user_agent ~* "WebReaper") { return 403; }
if ($http_user_agent ~* "WebSauger") { return 403; }
if ($http_user_agent ~* "WebStripper") { return 403; }
if ($http_user_agent ~* "WebZIP") { return 403; }
if ($http_user_agent ~* "WebmasterWorldForumBot") { return 403; }
if ($http_user_agent ~* "Website Quester") { return 403; }
if ($http_user_agent ~* "Webzio") { return 403; }
if ($http_user_agent ~* "Webzio-Extended") { return 403; }
if ($http_user_agent ~* "WinHTTrack") { return 403; }
if ($http_user_agent ~* "WiseGuys Robot") { return 403; }
if ($http_user_agent ~* "WordupInfoSearch") { return 403; }
if ($http_user_agent ~* "Xenu") { return 403; }
if ($http_user_agent ~* "Xenu Link Sleuth") { return 403; }
if ($http_user_agent ~* "Xenu's") { return 403; }
if ($http_user_agent ~* "Xenu's Link Sleuth 1.1c") { return 403; }
if ($http_user_agent ~* "YaK") { return 403; }
if ($http_user_agent ~* "Yahoo Pipes 1.0") { return 403; }
if ($http_user_agent ~* "YandexMobileBot") { return 403; }
if ($http_user_agent ~* "YandexVideo") { return 403; }
if ($http_user_agent ~* "Yellowbrandprotectionbot") { return 403; }
if ($http_user_agent ~* "YouBot") { return 403; }
if ($http_user_agent ~* "YoudaoBot") { return 403; }
if ($http_user_agent ~* "Youmag") { return 403; }
if ($http_user_agent ~* "Zao") { return 403; }
if ($http_user_agent ~* "Zealbot") { return 403; }
if ($http_user_agent ~* "Zeus") { return 403; }
if ($http_user_agent ~* "Zeus Link Scout") { return 403; }
if ($http_user_agent ~* "Zite") { return 403; }
if ($http_user_agent ~* "ZoomBot") { return 403; }
if ($http_user_agent ~* "ZoominfoBot") { return 403; }
if ($http_user_agent ~* "ZuperlistBot") { return 403; }
if ($http_user_agent ~* "ZyBORG") { return 403; }
if ($http_user_agent ~* "acapbot") { return 403; }
if ($http_user_agent ~* "acoonbot") { return 403; }
if ($http_user_agent ~* "adbeat_bot") { return 403; }
if ($http_user_agent ~* "adequat") { return 403; }
if ($http_user_agent ~* "adequat-systems") { return 403; }
if ($http_user_agent ~* "adscanner") { return 403; }
if ($http_user_agent ~* "aiHitBot") { return 403; }
if ($http_user_agent ~* "anthropic-ai") { return 403; }
if ($http_user_agent ~* "antibot") { return 403; }
if ($http_user_agent ~* "arabot") { return 403; }
if ($http_user_agent ~* "archive.org_bot") { return 403; }
if ($http_user_agent ~* "asknread.com") { return 403; }
if ($http_user_agent ~* "asterias") { return 403; }
if ($http_user_agent ~* "auramundi") { return 403; }
if ($http_user_agent ~* "awesomecrawler") { return 403; }
if ($http_user_agent ~* "b2w") { return 403; }
if ($http_user_agent ~* "betaBot") { return 403; }
if ($http_user_agent ~* "bidswitchbot") { return 403; }
if ($http_user_agent ~* "binlar") { return 403; }
if ($http_user_agent ~* "blogmuraBot") { return 403; }
if ($http_user_agent ~* "bnf.fr_bot") { return 403; }
if ($http_user_agent ~* "bot-pge.chlooe.com") { return 403; }
if ($http_user_agent ~* "botify") { return 403; }
if ($http_user_agent ~* "brainobot") { return 403; }
if ($http_user_agent ~* "buzzbot") { return 403; }
if ($http_user_agent ~* "cXensebot") { return 403; }
if ($http_user_agent ~* "careerbot") { return 403; }
if ($http_user_agent ~* "centurybot") { return 403; }
if ($http_user_agent ~* "changedetection") { return 403; }
if ($http_user_agent ~* "citeseerxbot") { return 403; }
if ($http_user_agent ~* "coccoc") { return 403; }
if ($http_user_agent ~* "coccocbot") { return 403; }
if ($http_user_agent ~* "coexel") { return 403; }
if ($http_user_agent ~* "cohere-ai") { return 403; }
if ($http_user_agent ~* "content crawler spider") { return 403; }
if ($http_user_agent ~* "contxbot") { return 403; }
if ($http_user_agent ~* "convera") { return 403; }
if ($http_user_agent ~* "cosmos") { return 403; }
if ($http_user_agent ~* "crawler4j") { return 403; }
if ($http_user_agent ~* "datagnionbot") { return 403; }
if ($http_user_agent ~* "daumoa") { return 403; }
if ($http_user_agent ~* "dcrawl") { return 403; }
if ($http_user_agent ~* "deepcrawl") { return 403; }
if ($http_user_agent ~* "deepnoc") { return 403; }
if ($http_user_agent ~* "discobot") { return 403; }
if ($http_user_agent ~* "dotbot") { return 403; }
if ($http_user_agent ~* "drupact") { return 403; }
if ($http_user_agent ~* "e.ventures Investment Crawler") { return 403; }
if ($http_user_agent ~* "ec2linkfinder") { return 403; }
if ($http_user_agent ~* "edisterbot") { return 403; }
if ($http_user_agent ~* "electricmonk") { return 403; }
if ($http_user_agent ~* "elisabot") { return 403; }
if ($http_user_agent ~* "ellisphere") { return 403; }
if ($http_user_agent ~* "epicbot") { return 403; }
if ($http_user_agent ~* "eright") { return 403; }
if ($http_user_agent ~* "europarchive.org") { return 403; }
if ($http_user_agent ~* "ev-crawler") { return 403; }
if ($http_user_agent ~* "evc-batch") { return 403; }
if ($http_user_agent ~* "fedoraplanet") { return 403; }
if ($http_user_agent ~* "findlink") { return 403; }
if ($http_user_agent ~* "findthatfile") { return 403; }
if ($http_user_agent ~* "findxbot") { return 403; }
if ($http_user_agent ~* "fluffy") { return 403; }
if ($http_user_agent ~* "fr-crawler") { return 403; }
if ($http_user_agent ~* "fuelbot") { return 403; }
if ($http_user_agent ~* "g00g1e.net") { return 403; }
if ($http_user_agent ~* "g2reader-bot") { return 403; }
if ($http_user_agent ~* "gnam gnam spider") { return 403; }
if ($http_user_agent ~* "google-xrawler") { return 403; }
if ($http_user_agent ~* "grapeshot") { return 403; }
if ($http_user_agent ~* "grub-client") { return 403; }
if ($http_user_agent ~* "grub.org") { return 403; }
if ($http_user_agent ~* "gsa-crawler") { return 403; }
if ($http_user_agent ~* "gslfbot") { return 403; }
if ($http_user_agent ~* "heritrix") { return 403; }
if ($http_user_agent ~* "humanlinks") { return 403; }
if ($http_user_agent ~* "hypestat") { return 403; }
if ($http_user_agent ~* "hyscore.io") { return 403; }
if ($http_user_agent ~* "ia_archiver") { return 403; }
if ($http_user_agent ~* "ia_archiver-web.archive.org") { return 403; }
if ($http_user_agent ~* "ichiro") { return 403; }
if ($http_user_agent ~* "imrbot") { return 403; }
if ($http_user_agent ~* "infoobot") { return 403; }
if ($http_user_agent ~* "infoseek") { return 403; }
if ($http_user_agent ~* "integromedb") { return 403; }
if ($http_user_agent ~* "intelium_bot") { return 403; }
if ($http_user_agent ~* "ip-web-crawler.com") { return 403; }
if ($http_user_agent ~* "iskanie") { return 403; }
if ($http_user_agent ~* "istellabot") { return 403; }
if ($http_user_agent ~* "it2media-domain-crawler") { return 403; }
if ($http_user_agent ~* "jpg-newsbot") { return 403; }
if ($http_user_agent ~* "jyxobot") { return 403; }
if ($http_user_agent ~* "k2spider") { return 403; }
if ($http_user_agent ~* "kbcrawl") { return 403; }
if ($http_user_agent ~* "keys-so-bot") { return 403; }
if ($http_user_agent ~* "larbin") { return 403; }
if ($http_user_agent ~* "lb-spider") { return 403; }
if ($http_user_agent ~* "leadbox") { return 403; }
if ($http_user_agent ~* "libWeb") { return 403; }
if ($http_user_agent ~* "linkapediabot") { return 403; }
if ($http_user_agent ~* "linkdex") { return 403; }
if ($http_user_agent ~* "linkdexbot") { return 403; }
if ($http_user_agent ~* "linkfluence") { return 403; }
if ($http_user_agent ~* "linko") { return 403; }
if ($http_user_agent ~* "lipperhey") { return 403; }
if ($http_user_agent ~* "lkxscan") { return 403; }
if ($http_user_agent ~* "lssbot") { return 403; }
if ($http_user_agent ~* "lssrocketcrawler") { return 403; }
if ($http_user_agent ~* "ltx71") { return 403; }
if ($http_user_agent ~* "lwp-trivial") { return 403; }
if ($http_user_agent ~* "magpie-crawler") { return 403; }
if ($http_user_agent ~* "mappydata") { return 403; }
if ($http_user_agent ~* "memorybot") { return 403; }
if ($http_user_agent ~* "mention") { return 403; }
if ($http_user_agent ~* "mindUpBot") { return 403; }
if ($http_user_agent ~* "minicrawler") { return 403; }
if ($http_user_agent ~* "mlbot") { return 403; }
if ($http_user_agent ~* "moatbot") { return 403; }
if ($http_user_agent ~* "moget") { return 403; }
if ($http_user_agent ~* "msrbot") { return 403; }
if ($http_user_agent ~* "mytwip") { return 403; }
if ($http_user_agent ~* "nerdybot") { return 403; }
if ($http_user_agent ~* "netEstate NE Crawler") { return 403; }
if ($http_user_agent ~* "netresearchserver") { return 403; }
if ($http_user_agent ~* "newsharecounts") { return 403; }
if ($http_user_agent ~* "newspaper") { return 403; }
if ($http_user_agent ~* "niki-bot") { return 403; }
if ($http_user_agent ~* "officestorebot") { return 403; }
if ($http_user_agent ~* "omgili") { return 403; }
if ($http_user_agent ~* "omgilibot") { return 403; }
if ($http_user_agent ~* "online-webceo-bot") { return 403; }
if ($http_user_agent ~* "opinion-tracker") { return 403; }
if ($http_user_agent ~* "outbrain") { return 403; }
if ($http_user_agent ~* "panscient.com") { return 403; }
if ($http_user_agent ~* "peer39_crawler") { return 403; }
if ($http_user_agent ~* "postrank") { return 403; }
if ($http_user_agent ~* "proxem") { return 403; }
if ($http_user_agent ~* "proximic") { return 403; }
if ($http_user_agent ~* "psbot") { return 403; }
if ($http_user_agent ~* "purebot") { return 403; }
if ($http_user_agent ~* "scoop.it") { return 403; }
if ($http_user_agent ~* "score3") { return 403; }
if ($http_user_agent ~* "scribdbot") { return 403; }
if ($http_user_agent ~* "searchpreview") { return 403; }
if ($http_user_agent ~* "seekbot") { return 403; }
if ($http_user_agent ~* "seewithkids") { return 403; }
if ($http_user_agent ~* "semanticbot") { return 403; }
if ($http_user_agent ~* "sempi.tech") { return 403; }
if ($http_user_agent ~* "sentibot") { return 403; }
if ($http_user_agent ~* "seoscanners") { return 403; }
if ($http_user_agent ~* "seostar.co") { return 403; }
if ($http_user_agent ~* "serpstatbot") { return 403; }
if ($http_user_agent ~* "sistrix crawler") { return 403; }
if ($http_user_agent ~* "sitecheck.internetseer.com") { return 403; }
if ($http_user_agent ~* "siteexplorer.info") { return 403; }
if ($http_user_agent ~* "spanner") { return 403; }
if ($http_user_agent ~* "spbot") { return 403; }
if ($http_user_agent ~* "spotter") { return 403; }
if ($http_user_agent ~* "summify") { return 403; }
if ($http_user_agent ~* "suzuran") { return 403; }
if ($http_user_agent ~* "tagoobot") { return 403; }
if ($http_user_agent ~* "theoldreader.com") { return 403; }
if ($http_user_agent ~* "tigerbot") { return 403; }
if ($http_user_agent ~* "toCrawl") { return 403; }
if ($http_user_agent ~* "toplistbot") { return 403; }
if ($http_user_agent ~* "tracemyfile") { return 403; }
if ($http_user_agent ~* "trafilatura") { return 403; }
if ($http_user_agent ~* "trendeo") { return 403; }
if ($http_user_agent ~* "trendictionbot") { return 403; }
if ($http_user_agent ~* "trendkite-akashic-crawler") { return 403; }
if ($http_user_agent ~* "trendybuzz") { return 403; }
if ($http_user_agent ~* "trovitBot") { return 403; }
if ($http_user_agent ~* "turingos") { return 403; }
if ($http_user_agent ~* "tweetedtimes") { return 403; }
if ($http_user_agent ~* "twengabot") { return 403; }
if ($http_user_agent ~* "um-IC") { return 403; }
if ($http_user_agent ~* "um-LN") { return 403; }
if ($http_user_agent ~* "urlappendbot") { return 403; }
if ($http_user_agent ~* "usasearch") { return 403; }
if ($http_user_agent ~* "vebidoobot") { return 403; }
if ($http_user_agent ~* "vecteurplus") { return 403; }
if ($http_user_agent ~* "verticalsearch") { return 403; }
if ($http_user_agent ~* "virustotal") { return 403; }
if ($http_user_agent ~* "voilabot") { return 403; }
if ($http_user_agent ~* "voltron") { return 403; }
if ($http_user_agent ~* "vsw") { return 403; }
if ($http_user_agent ~* "vuhuvBot") { return 403; }
if ($http_user_agent ~* "wbsearchbot") { return 403; }
if ($http_user_agent ~* "web-archive-net.com.bot") { return 403; }
if ($http_user_agent ~* "webcompanycrawler") { return 403; }
if ($http_user_agent ~* "webmon") { return 403; }
if ($http_user_agent ~* "winello") { return 403; }
if ($http_user_agent ~* "wocbot") { return 403; }
if ($http_user_agent ~* "woobot") { return 403; }
if ($http_user_agent ~* "woorankreview") { return 403; }
if ($http_user_agent ~* "woriobot") { return 403; }
if ($http_user_agent ~* "wotbox") { return 403; }
if ($http_user_agent ~* "www.uptime.com") { return 403; }
if ($http_user_agent ~* "xovibot") { return 403; }
if ($http_user_agent ~* "yanga") { return 403; }
if ($http_user_agent ~* "yoozBot") { return 403; }
if ($http_user_agent ~* "zenback bot") { return 403; }
if ($http_user_agent ~* "zgrab") { return 403; }
